import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (n, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, c = n.length - 1, i; c >= 0; c--)
    (i = n[c]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--barcode", this.class = "c-pieIcon c-pieIcon--barcode", this.name = "IconBarcode";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--barcode"><path d="M3.188 12.375H1.875V2.75h1.313v9.625Zm10.5-9.625h-1.313v9.625h1.313V2.75Zm-2.626 0H9.75v7.875h1.313V2.75Zm-2.624 0H7.125v7.875h1.313V2.75Zm-2.626 0H4.5v7.875h1.313V2.75Z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  m("icon-barcode")
], o);
export {
  o as IconBarcode
};
